"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
exports.__esModule = true;
exports.useNumberKnob = void 0;
var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));
var _useKnob = require("./useKnob");
var _excluded = ["initialValue", "min", "max", "step"];
var useNumberKnob = function useNumberKnob(options) {
  var _options$initialValue = options.initialValue,
    initialValue = _options$initialValue === void 0 ? 0 : _options$initialValue,
    _options$min = options.min,
    min = _options$min === void 0 ? 0 : _options$min,
    _options$max = options.max,
    max = _options$max === void 0 ? undefined : _options$max,
    _options$step = options.step,
    step = _options$step === void 0 ? '1' : _options$step,
    rest = (0, _objectWithoutPropertiesLoose2.default)(options, _excluded);
  return (0, _useKnob.useKnob)(Object.assign({
    initialValue: initialValue,
    type: 'number',
    min: min,
    max: max,
    step: step
  }, rest));
};
exports.useNumberKnob = useNumberKnob;
//# sourceMappingURL=useNumberKnob.js.map
