import * as React from 'react';
export declare type CopyToClipboardProps = {
    children: (active: boolean, onClick: () => void) => React.ReactElement;
    timeout?: number;
    value: string | (() => string);
};
export declare const useCopyToClipboard: (value: string | (() => string), timeout?: number) => [boolean, () => void];
export declare const CopyToClipboard: React.FunctionComponent<CopyToClipboardProps>;
