import * as React from 'react';
import { KnobContext, LogContextFunctions, LogContextItems } from './KnobContexts';
export var LogInspector = function LogInspector(props) {
  var _React$useContext = React.useContext(KnobContext),
    components = _React$useContext.components;
  var _React$useContext2 = React.useContext(LogContextFunctions),
    clearLog = _React$useContext2.clearLog;
  var items = React.useContext(LogContextItems);
  var visible = props.silent ? items.length > 0 : true;
  return visible ? /*#__PURE__*/React.createElement(components.LogInspector, {
    clearLog: clearLog,
    items: items
  }) : null;
};
//# sourceMappingURL=LogInspector.js.map
