import { UseKnobOptions } from './types';
declare type UseRangeKnobSpecificOptions = {
    min?: number | string;
    max?: number | string;
    step?: number | string;
    unit?: string;
};
declare type UseRangeKnobOptions<T> = UseKnobOptions<T> & UseRangeKnobSpecificOptions;
export declare const useRangeKnob: <T extends string | number>(options: UseRangeKnobOptions<T>) => [T, (newValue: T) => void];
export {};
