"use strict";

exports.__esModule = true;
exports.LogInspector = void 0;
var React = _interopRequireWildcard(require("react"));
var _KnobContexts = require("./KnobContexts");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var LogInspector = function LogInspector(props) {
  var _React$useContext = React.useContext(_KnobContexts.KnobContext),
    components = _React$useContext.components;
  var _React$useContext2 = React.useContext(_KnobContexts.LogContextFunctions),
    clearLog = _React$useContext2.clearLog;
  var items = React.useContext(_KnobContexts.LogContextItems);
  var visible = props.silent ? items.length > 0 : true;
  return visible ? /*#__PURE__*/React.createElement(components.LogInspector, {
    clearLog: clearLog,
    items: items
  }) : null;
};
exports.LogInspector = LogInspector;
//# sourceMappingURL=LogInspector.js.map
