import { UseKnobOptions } from './types';
declare type UseNumberKnobSpecificOptions = {
    min?: number | string;
    max?: number | string;
    step?: number | string;
};
declare type UseNumberKnobOptions<T> = UseKnobOptions<T> & UseNumberKnobSpecificOptions;
export declare const useNumberKnob: (options: UseNumberKnobOptions<number>) => [number, (newValue: number) => void];
export {};
