import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["initialValue", "min", "max", "step"];
import { useKnob } from './useKnob';
export var useNumberKnob = function useNumberKnob(options) {
  var _options$initialValue = options.initialValue,
    initialValue = _options$initialValue === void 0 ? 0 : _options$initialValue,
    _options$min = options.min,
    min = _options$min === void 0 ? 0 : _options$min,
    _options$max = options.max,
    max = _options$max === void 0 ? undefined : _options$max,
    _options$step = options.step,
    step = _options$step === void 0 ? '1' : _options$step,
    rest = _objectWithoutPropertiesLoose(options, _excluded);
  return useKnob(Object.assign({
    initialValue: initialValue,
    type: 'number',
    min: min,
    max: max,
    step: step
  }, rest));
};
//# sourceMappingURL=useNumberKnob.js.map
