import { useKnob } from './useKnob';
export var useSelectKnob = function useSelectKnob(options) {
  var _useKnob = useKnob(Object.assign({
      initialValue: '',
      type: 'select'
    }, options, {
      values: options.allowsNone ? ['none'].concat(options.values) : options.values
    })),
    value = _useKnob[0],
    setValue = _useKnob[1];
  return [value === 'none' ? undefined : value, setValue];
};
//# sourceMappingURL=useSelectKnob.js.map
